Dynamic loading of Kerberos Library failed Cannot load module usr krb5 lib libgssapi_krb5.a libgssapi_krb5.a.so

Introduction to Error Message 

During the Live Process Migration we see the error message on the virtual terminal console of VIOS, this error message can also occur during Live Update where migration is involved. 

Dynamic loading of Kerberos Library failed, 
Cannot load module /usr/krb5/lib/libgssapi_krb5.a(libgssapi_krb5.a.so), 0509-026 
System error: A file or directory in the path name does not exist.

Running LKU with Migration  


+-----------------------------------------------------------------------------+
                    Live Update Preview Summary...
+-----------------------------------------------------------------------------+
The live update preview succeeded.
Non-interruptable live update operation begins in 10 seconds.
Broadcast message from root@megdh03 (pts/0) at 08:20:43 ... 
Live AIX update in progress.
Initializing live update on original LPAR.
Validating original LPAR environment.
Beginning live update operation on original LPAR.
........................................................................0513-059 The isakmpd Subsystem has been started. Subsystem PID is 18284926.
                                                                                                                                                   0513-059 The ikev2d Subsystem has been started. Subsystem PID is 15729140.
                                                                             0509-022 Cannot load module /usr/krb5/lib/libgssapi_krb5.a(libgssapi_krb5.a.so).
             0509-026 System error: A file or directory in the path name does not exist.
                                                                                        Dynamic loading of Kerberos Library failed
                                                                                                                                  ........................................................................
Migrating to temporary destination.
....................................................................................................................................................................
Requesting resources required for live update.


What You Can do about it ?

If you don't require Kerberos you don't have to do anything than just ignore. Its just debug message from gssd service restart during the time of LPM. This error message is only displayed on VIOS Console and not on telnet session has nothing to do with LPM/ LKU process.

# startsrc -s gssd
0513-059 The gssd Subsystem has been started. Subsystem PID is 23200230.
exec(): 0509-036 Cannot load program /usr/sbin/gssd because of the following errors:
        0509-150   Dependent module libgssapi_krb5.a(libgssapi_krb5.a.so) could not be loaded.
        0509-022 Cannot load module libgssapi_krb5.a(libgssapi_krb5.a.so).
        0509-026 System error: A file or directory in the path name does not exist.
exec(): 0509-036 Cannot load program /usr/sbin/gssd because of the following errors:
        0509-150   Dependent module libgssapi_krb5.a(libgssapi_krb5.a.so) could not be loaded.
        0509-022 Cannot load module libgssapi_krb5.a(libgssapi_krb5.a.so).
        0509-026 System error: A file or directory in the path name does not exist.
exec(): 0509-036 Cannot load program /usr/sbin/gssd because of the following errors:
        0509-150   Dependent module libgssapi_krb5.a(libgssapi_krb5.a.so) could not be loaded.
        0509-022 Cannot load module libgssapi_krb5.a(libgssapi_krb5.a.so).
        0509-026 System error: A file or directory in the path name does not exist.

If you are using Kerberos then you should install Kerberos client and other cryptographic library file sets such as krb5.client.rte, modcrypt.base.lib and modcrypt.base.includes


Post a Comment

0 Comments